unit IWSimpleCalc;
{PUBDIST}

interface

uses
  IWModuleBase, IWStdCtrls, Classes, Controls, IWBaseControl, IWExtCtrls,
  jpeg;

type
  TformMain = class(TIWFormModuleBase)
    IWbtnCalc: TIWButton;
    IWEdt_Ans: TIWEdit;
    IWImage1: TIWImage;
    IWEdt_Y: TIWEdit;
    IWedt_X: TIWEdit;
    IWLabel1: TIWLabel;
    IWLabel2: TIWLabel;
    IWLabel3: TIWLabel;
    IWRG_Op: TIWRadioGroup;
    IWLabel4: TIWLabel;
    procedure IWbtnCalcClick(Sender: TObject);
    procedure IWFormModuleBaseCreate(Sender: TObject);
  public
  end;

implementation
{$R *.dfm}
uses SysUtils;

procedure TformMain.IWbtnCalcClick(Sender: TObject);
var x, y, ans : double;
begin
  ans:=0;
  x:=StrToFloat(IWEdt_X.Text);
  y:=StrToFloat(IWEdt_Y.Text);

  case IWRG_Op.ItemIndex of
  0: ans := x+y;
  1: ans := x-y;
  2: ans := x*y;
  3: if (x<>0) and (y<>0) then ans:=x/y;
  end;

  IWEdt_Ans.Text:=FloatToStr(ans);
end;

procedure TformMain.IWFormModuleBaseCreate(Sender: TObject);
begin
  IWEdt_Ans.Text := '';
  IWEdt_X.Text   := '';
  IWEdt_Y.Text   := '';
end;

end.
