unit IWTMain;
{PUBDIST}

interface

uses
  IWModuleBase, IWTemplateProcessor, IWTemplateProcessorHTML,
  IWHTMLControls, IWStdCtrls, Classes, Controls, IWBaseControl;

type
  TformMain = class(TIWFormModuleBase)
    lblName: TIWLabel;
    edtName: TIWEdit;
    lblValid: TIWLabel;
    IWTemplateProcessorHTML1: TIWTemplateProcessorHTML;
    btnNext: TIWButton;
    procedure IWFormModuleBaseCreate(Sender: TObject);
    procedure btnNextClick(Sender: TObject);
  public
  end;

implementation
{$R *.dfm}
uses SysUtils, IWTGetPass, ServerController;

procedure TformMain.IWFormModuleBaseCreate(Sender: TObject);
begin
  lblValid.Caption := '';
  edtName.Text     := '';
end;

procedure TformMain.btnNextClick(Sender: TObject);
begin
  if length(edtName.Text) < 5 then begin
    lblValid.Caption := 'Your name is too short...';
    abort;
  end
  else begin
    // Store the user name, thus maintaining state
    // between this form and any other form...
    with TBUGSession(WebApplication.Data) do begin
      Name := edtName.Text;
    end;
    TformGetPass.Create(WebApplication).Show;
  end;
end;

end.