unit IWAddEmployee;
{PUBDIST}

interface

uses
  IWModuleBase, IWStdCtrls, Classes, Controls, IWBaseControl, Db, DBTables;

type
  TformAddEmployee = class(TIWFormModuleBase)
    IWEdt_FirstName: TIWEdit;
    IWEdt_LastName: TIWEdit;
    IWEdt_Salary: TIWEdit;
    IWEdt_HireDate: TIWEdit;
    IWEdt_Phone: TIWEdit;
    IWLabel1: TIWLabel;
    IWLabel2: TIWLabel;
    IWLabel3: TIWLabel;
    IWLabel4: TIWLabel;
    IWLabel5: TIWLabel;
    IWBtn_Add: TIWButton;
    IWBtn_Cancel: TIWButton;
    IWLabel6: TIWLabel;
    tblEmployee: TTable;
    tblEmployeeEmpNo: TIntegerField;
    tblEmployeeLastName: TStringField;
    tblEmployeeFirstName: TStringField;
    tblEmployeePhoneExt: TStringField;
    tblEmployeeHireDate: TDateTimeField;
    tblEmployeeSalary: TFloatField;
    IWEdt_EmpNo: TIWEdit;
    IWLabel7: TIWLabel;
    procedure IWBtn_CancelClick(Sender: TObject);
    procedure IWBtn_AddClick(Sender: TObject);
    procedure IWFormModuleBaseCreate(Sender: TObject);
  public
  end;

implementation
{$R *.dfm}
uses SysUtils;

procedure TformAddEmployee.IWBtn_CancelClick(Sender: TObject);
begin
  Release;
end;

procedure TformAddEmployee.IWBtn_AddClick(Sender: TObject);
begin
  with tblEmployee do begin
    Open;
    Insert;
    tblEmployeeEmpNo.AsInteger     := StrToInt(IWEdt_EmpNo.Text);
    tblEmployeeFirstName.AsString  := IWEdt_FirstName.Text;
    tblEmployeeLastName.AsString   := IWEdt_LastName.Text;
    tblEmployeePhoneExt.AsString   := IWEdt_Phone.Text;
    tblEmployeeHireDate.AsDateTime := StrToDate(IWEdt_HireDate.Text);
    tblEmployeeSalary.AsFloat      := StrToFloat(IWEdt_Salary.Text);
    Post;
    Close;
  end;

  Release;
end;

procedure TformAddEmployee.IWFormModuleBaseCreate(Sender: TObject);
begin
  IWEdt_EmpNo.Text     := '';
  IWEdt_FirstName.Text := '';
  IWEdt_LastName.Text  := '';
  IWEdt_Salary.Text    := '';
  IWEdt_HireDate.Text  := '';
  IWEdt_Phone.Text     := '';
end;

end.