object formMain: TformMain
  Left = 0
  Top = 0
  Width = 273
  Height = 628
  OnCreate = IWFormModuleBaseCreate
  OnDestroy = IWFormModuleBaseDestroy
  HandleTabs = False
  object IWDBNavigator1: TIWDBNavigator
    Left = 8
    Top = 416
    Width = 96
    Height = 25
    Confirmations.Delete = 'Are you sure you want to delete this record?'
    Confirmations.Post = 'Are you sure you want to update this record?'
    Confirmations.Cancel = 'Are you sure you want to cancel your changes to this record?'
    DataSource = dsEmployee
    VisibleButtons = [nbFirst, nbPrior, nbNext, nbLast]
  end
  object IWDBGrid1: TIWDBGrid
    Left = 8
    Top = 8
    Width = 257
    Height = 393
    BGColor = clNone
    BorderSize = 0
    BorderStyle = tfDefault
    Caption = 'DBDEMOS Employees'
    CellPadding = 3
    CellSpacing = 3
    Font.Color = clNone
    Font.Size = 10
    Font.Style = []
    FrameBuffer = 40
    Lines = tlAll
    OnRenderCell = IWDBGrid1RenderCell
    UseFrame = True
    UseWidth = True
    Columns = <
      item
        Alignment = taLeftJustify
        BGColor = clNone
        DoSubmitValidation = True
        Font.Color = clNone
        Font.Size = 10
        Font.Style = []
        Header = False
        Height = '0'
        VAlign = vaMiddle
        Visible = True
        Width = '0'
        Wrap = False
        DataField = 'EmpNo'
        LinkField = 'EmpNo'
        OnClick = IWDBGrid1Columns0Click
        Title.Alignment = taCenter
        Title.BGColor = clNone
        Title.DoSubmitValidation = True
        Title.Font.Color = clNone
        Title.Font.Size = 10
        Title.Font.Style = []
        Title.Header = False
        Title.Height = '0'
        Title.Text = 'EmpNo'
        Title.VAlign = vaMiddle
        Title.Visible = True
        Title.Width = '0'
        Title.Wrap = False
      end
      item
        Alignment = taLeftJustify
        BGColor = clNone
        DoSubmitValidation = True
        Font.Color = clNone
        Font.Size = 10
        Font.Style = []
        Header = False
        Height = '0'
        VAlign = vaMiddle
        Visible = True
        Width = '0'
        Wrap = False
        DataField = 'LastName'
        Title.Alignment = taCenter
        Title.BGColor = clNone
        Title.DoSubmitValidation = True
        Title.Font.Color = clNone
        Title.Font.Size = 10
        Title.Font.Style = []
        Title.Header = False
        Title.Height = '0'
        Title.Text = 'LastName'
        Title.VAlign = vaMiddle
        Title.Visible = True
        Title.Width = '0'
        Title.Wrap = False
      end>
    DataSource = dsEmployee
    FooterRowCount = 0
    FromStart = True
    Options = [dgIndicator, dgShowTitles]
    RefreshMode = rmAutomatic
    RowLimit = 0
  end
  object IWBtn_Get: TIWButton
    Left = 8
    Top = 448
    Width = 145
    Height = 25
    Caption = 'Get Employee Details'
    OnClick = IWBtn_GetClick
    Font.Color = clNone
    Font.Size = 10
    Font.Style = []
    Color = 13160660
    TabOrder = 0
  end
  object IWBtn_AddEmp: TIWButton
    Left = 8
    Top = 600
    Width = 145
    Height = 25
    Caption = 'Add New Employee'
    OnClick = IWBtn_AddEmpClick
    Font.Color = clNone
    Font.Size = 10
    Font.Style = []
    Color = 13160660
    TabOrder = 1
  end
  object IWMemo1: TIWMemo
    Left = 8
    Top = 496
    Width = 161
    Height = 89
    Editable = True
    Font.Color = clNone
    Font.Size = 10
    Font.Style = []
    FriendlyName = 'TIWMemo1'
    RawText = False
    ReadOnly = False
    Required = False
    TabOrder = 2
  end
  object IWLabel1: TIWLabel
    Left = 8
    Top = 480
    Width = 135
    Height = 16
    AutoSize = True
    Font.Color = clNone
    Font.Size = 10
    Font.Style = [fsBold]
    Caption = 'Employee Details'
  end
  object dsEmployee: TDataSource
    DataSet = tblEmployee
    Left = 120
    Top = 240
  end
  object tblEmployee: TTable
    DatabaseName = 'DBDEMOS'
    TableName = 'employee.db'
    Left = 120
    Top = 288
    object tblEmployeeEmpNo: TIntegerField
      CustomConstraint = 'Value > 0'
      ConstraintErrorMessage = 'EmpNo cannot be 0 or negative'
      FieldName = 'EmpNo'
      DisplayFormat = 'Emp'#39'#'#39' 0000'
      MaxValue = 9999
      MinValue = 1
    end
    object tblEmployeeLastName: TStringField
      FieldName = 'LastName'
    end
    object tblEmployeeFirstName: TStringField
      FieldName = 'FirstName'
      Size = 15
    end
    object tblEmployeePhoneExt: TStringField
      FieldName = 'PhoneExt'
      Size = 4
    end
    object tblEmployeeHireDate: TDateTimeField
      FieldName = 'HireDate'
    end
    object tblEmployeeSalary: TFloatField
      CustomConstraint = 'X > 4499'
      ConstraintErrorMessage = 'Minimum Salary is $4,500.00'
      FieldName = 'Salary'
      currency = True
    end
  end
end
