unit IWTGetPass;
{PUBDIST}

interface

uses
  IWModuleBase, IWStdCtrls, Classes, Controls, IWBaseControl,
  IWTemplateProcessor, IWTemplateProcessorHTML;

type
  TformGetPass = class(TIWFormModuleBase)
    lblPass: TIWLabel;
    edtPass: TIWEdit;
    lblValid: TIWLabel;
    btnNext: TIWButton;
    lblUserName: TIWLabel;
    IWTemplateProcessorHTML1: TIWTemplateProcessorHTML;
    procedure IWFormModuleBaseCreate(Sender: TObject);
    procedure btnNextClick(Sender: TObject);
  public
  end;

implementation
{$R *.dfm}
uses SysUtils, ServerController, IWTFinal;

procedure TformGetPass.IWFormModuleBaseCreate(Sender: TObject);
begin
  edtPass.Text     := '';
  lblValid.Caption := '';

  // Extract the user name...
  lblUserName.Caption := TBUGSession(WebApplication.Data).Name;
end;

procedure TformGetPass.btnNextClick(Sender: TObject);
begin
  if length(edtPass.Text) < 5 then begin
    lblValid.Caption := 'Your password is too short...';
    abort;
  end
  else begin

    // Store the password...
    with TBUGSession(WebApplication.Data) do begin
      Password := edtPass.Text;
    end;

    TformFinal.Create(WebApplication).Show;
  end;
end;

end.